# Generated by Django 4.0.3 on 2022-05-16 22:30

from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Film',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=60)),
                ('poster', models.URLField(blank=True, null=True)),
                ('trailer', models.URLField(blank=True, null=True)),
                ('year', models.IntegerField(default=2022, validators=[django.core.validators.MaxValueValidator(2022), django.core.validators.MinValueValidator(1900)])),
                ('director', models.CharField(max_length=30)),
                ('plot_summary', models.TextField(max_length=500)),
            ],
        ),
        migrations.CreateModel(
            name='Review',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('reviewed_on', models.DateField(auto_now_add=True)),
                ('rating', models.IntegerField(default=5, validators=[django.core.validators.MaxValueValidator(1), django.core.validators.MinValueValidator(10)])),
                ('content', models.TextField()),
                ('film', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='review', to='filmkritiken.film')),
                ('reviewer', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='reviewer', to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
